Package org.eclipse.m2m.atl.emftvm

# Interface EmftvmPackage.Literals

Enclosing interface:
  EmftvmPackage

public static interface EmftvmPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`ADD`
The meta object literal for the '`Add`' class.
`static final org.eclipse.emf.ecore.EClass`
`ALLINST`
The meta object literal for the '`Allinst`' class.
`static final org.eclipse.emf.ecore.EClass`
`ALLINST_IN`
The meta object literal for the '`Allinst In`' class.
`static final org.eclipse.emf.ecore.EClass`
`AND`
The meta object literal for the '`And`' class.
`static final org.eclipse.emf.ecore.EClass`
`BRANCH_INSTRUCTION`
The meta object literal for the '`Branch Instruction`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`BRANCH_INSTRUCTION__OFFSET`
The meta object literal for the 'Offset' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`BRANCH_INSTRUCTION__TARGET`
The meta object literal for the 'Target' reference feature.
`static final org.eclipse.emf.ecore.EDataType`
`CLASS_NOT_FOUND_EXCEPTION`
The meta object literal for the 'Class Not Found Exception' data type.
`static final org.eclipse.emf.ecore.EClass`
`CODE_BLOCK`
The meta object literal for the '`Code Block`' class.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__APPLIER_FOR`
The meta object literal for the 'Applier For' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__BINDING_FOR`
The meta object literal for the 'Binding For' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__BODY_FOR`
The meta object literal for the 'Body For' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__CODE`
The meta object literal for the 'Code' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__INITIALISER_FOR`
The meta object literal for the 'Initialiser For' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__LINE_NUMBERS`
The meta object literal for the 'Line Numbers' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__LOCAL_VARIABLES`
The meta object literal for the 'Local Variables' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__MATCHER_FOR`
The meta object literal for the 'Matcher For' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CODE_BLOCK__MAX_LOCALS`
The meta object literal for the 'Max Locals' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CODE_BLOCK__MAX_STACK`
The meta object literal for the 'Max Stack' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__NESTED`
The meta object literal for the 'Nested' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__NESTED_FOR`
The meta object literal for the 'Nested For' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CODE_BLOCK__PARENT_FRAME`
The meta object literal for the 'Parent Frame' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK__POST_APPLY_FOR`
The meta object literal for the 'Post Apply For' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`CODE_BLOCK_INSTRUCTION`
The meta object literal for the '`Code Block Instruction`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`CODE_BLOCK_INSTRUCTION__CB_INDEX`
The meta object literal for the 'Cb Index' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CODE_BLOCK_INSTRUCTION__CODE_BLOCK`
The meta object literal for the 'Code Block' reference feature.
`static final org.eclipse.emf.ecore.EEnum`
`CONSTANT_TAG`
The meta object literal for the '`Constant Tag`' enum.
`static final org.eclipse.emf.ecore.EClass`
`DELETE`
The meta object literal for the '`Delete`' class.
`static final org.eclipse.emf.ecore.EClass`
`DUP`
The meta object literal for the '`Dup`' class.
`static final org.eclipse.emf.ecore.EClass`
`DUP_X1`
The meta object literal for the '`Dup X1`' class.
`static final org.eclipse.emf.ecore.EDataType`
`EBOOLEAN_ARRAY`
The meta object literal for the 'EBoolean Array' data type.
`static final org.eclipse.emf.ecore.EDataType`
`EJAVA_ITERABLE`
The meta object literal for the 'EJava Iterable' data type.
`static final org.eclipse.emf.ecore.EDataType`
`EJAVA_OBJECT_ARRAY`
The meta object literal for the 'EJava Object Array' data type.
`static final org.eclipse.emf.ecore.EDataType`
`EJAVA_SET`
The meta object literal for the 'EJava Set' data type.
`static final org.eclipse.emf.ecore.EClass`
`ENDITERATE`
The meta object literal for the '`Enditerate`' class.
`static final org.eclipse.emf.ecore.EDataType`
`ENUM_LITERAL`
The meta object literal for the 'Enum Literal' data type.
`static final org.eclipse.emf.ecore.EDataType`
`EOBJECT_ARRAY`
The meta object literal for the 'EObject Array' data type.
`static final org.eclipse.emf.ecore.EClass`
`EXEC_ENV`
The meta object literal for the '`Exec Env`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`EXEC_ENV__CURRENT_PHASE`
The meta object literal for the 'Current Phase' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`EXEC_ENV__INOUT_MODELS`
The meta object literal for the 'Inout Models' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`EXEC_ENV__INPUT_MODELS`
The meta object literal for the 'Input Models' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`EXEC_ENV__JIT_DISABLED`
The meta object literal for the 'Jit Disabled' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`EXEC_ENV__MATCHES`
The meta object literal for the 'Matches' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`EXEC_ENV__META_MODELS`
The meta object literal for the 'Meta Models' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`EXEC_ENV__MODULES`
The meta object literal for the 'Modules' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`EXEC_ENV__OUTPUT_MODELS`
The meta object literal for the 'Output Models' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`EXEC_ENV__TRACES`
The meta object literal for the 'Traces' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`EXEC_ENV__UNIQUE_RESULTS`
The meta object literal for the 'Unique Results' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`FEATURE`
The meta object literal for the '`Feature`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`FEATURE__CONTEXT`
The meta object literal for the 'Context' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FEATURE__CONTEXT_MODEL`
The meta object literal for the 'Context Model' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`FEATURE__ECONTEXT`
The meta object literal for the 'EContext' reference feature.
`static final org.eclipse.emf.ecore.EReference`
`FEATURE__MODULE`
The meta object literal for the 'Module' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FEATURE__STATIC`
The meta object literal for the 'Static' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`FEATURE_TAG`
The meta object literal for the '`Feature Tag`' enum.
`static final org.eclipse.emf.ecore.EClass`
`FIELD`
The meta object literal for the '`Field`' class.
`static final org.eclipse.emf.ecore.EReference`
`FIELD__INITIALISER`
The meta object literal for the 'Initialiser' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`FIELD__RULE`
The meta object literal for the 'Rule' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FIELD__STATIC_VALUE`
The meta object literal for the 'Static Value' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`FIELD_INSTRUCTION`
The meta object literal for the '`Field Instruction`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`FIELD_INSTRUCTION__FIELDNAME`
The meta object literal for the 'Fieldname' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`FINDTYPE`
The meta object literal for the '`Findtype`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`FINDTYPE__MODELNAME`
The meta object literal for the 'Modelname' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FINDTYPE__TYPENAME`
The meta object literal for the 'Typename' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`FINDTYPE_S`
The meta object literal for the '`Findtype S`' class.
`static final org.eclipse.emf.ecore.EClass`
`GET`
The meta object literal for the '`Get`' class.
`static final org.eclipse.emf.ecore.EClass`
`GET_STATIC`
The meta object literal for the '`Get Static`' class.
`static final org.eclipse.emf.ecore.EClass`
`GET_SUPER`
The meta object literal for the '`Get Super`' class.
`static final org.eclipse.emf.ecore.EClass`
`GET_TRANS`
The meta object literal for the '`Get Trans`' class.
`static final org.eclipse.emf.ecore.EClass`
`GETCB`
The meta object literal for the '`Getcb`' class.
`static final org.eclipse.emf.ecore.EClass`
`GETENV`
The meta object literal for the '`Getenv`' class.
`static final org.eclipse.emf.ecore.EClass`
`GETENVTYPE`
The meta object literal for the '`Getenvtype`' class.
`static final org.eclipse.emf.ecore.EClass`
`GOTO`
The meta object literal for the '`Goto`' class.
`static final org.eclipse.emf.ecore.EClass`
`IF`
The meta object literal for the '`If`' class.
`static final org.eclipse.emf.ecore.EClass`
`IFN`
The meta object literal for the '`Ifn`' class.
`static final org.eclipse.emf.ecore.EClass`
`IFTE`
The meta object literal for the '`Ifte`' class.
`static final org.eclipse.emf.ecore.EReference`
`IFTE__ELSE_CB`
The meta object literal for the 'Else Cb' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`IFTE__ELSE_CB_INDEX`
The meta object literal for the 'Else Cb Index' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`IFTE__THEN_CB`
The meta object literal for the 'Then Cb' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`IFTE__THEN_CB_INDEX`
The meta object literal for the 'Then Cb Index' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`IMPLIES`
The meta object literal for the '`Implies`' class.
`static final org.eclipse.emf.ecore.EClass`
`INPUT_RULE_ELEMENT`
The meta object literal for the '`Input Rule Element`' class.
`static final org.eclipse.emf.ecore.EReference`
`INPUT_RULE_ELEMENT__BINDING`
The meta object literal for the 'Binding' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`INPUT_RULE_ELEMENT__INPUT_FOR`
The meta object literal for the 'Input For' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INPUT_RULE_ELEMENT__MAPS_TO_SELF`
The meta object literal for the 'Maps To Self' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`INSERT`
The meta object literal for the '`Insert`' class.
`static final org.eclipse.emf.ecore.EClass`
`INSTRUCTION`
The meta object literal for the '`Instruction`' class.
`static final org.eclipse.emf.ecore.EReference`
`INSTRUCTION__LINE_NUMBER`
The meta object literal for the 'Line Number' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INSTRUCTION__OPCODE`
The meta object literal for the 'Opcode' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`INSTRUCTION__OWNING_BLOCK`
The meta object literal for the 'Owning Block' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INSTRUCTION__STACK_CONSUMPTION`
The meta object literal for the 'Stack Consumption' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INSTRUCTION__STACK_LEVEL`
The meta object literal for the 'Stack Level' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INSTRUCTION__STACK_PRODUCTION`
The meta object literal for the 'Stack Production' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`INVOKE`
The meta object literal for the '`Invoke`' class.
`static final org.eclipse.emf.ecore.EClass`
`INVOKE_ALL_CBS`
The meta object literal for the '`Invoke All Cbs`' class.
`static final org.eclipse.emf.ecore.EClass`
`INVOKE_CB`
The meta object literal for the '`Invoke Cb`' class.
`static final org.eclipse.emf.ecore.EClass`
`INVOKE_CB_S`
The meta object literal for the '`Invoke Cb S`' class.
`static final org.eclipse.emf.ecore.EClass`
`INVOKE_INSTRUCTION`
The meta object literal for the '`Invoke Instruction`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`INVOKE_INSTRUCTION__ARGCOUNT`
The meta object literal for the 'Argcount' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`INVOKE_OPERATION_INSTRUCTION`
The meta object literal for the '`Invoke Operation Instruction`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`INVOKE_OPERATION_INSTRUCTION__OPNAME`
The meta object literal for the 'Opname' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`INVOKE_STATIC`
The meta object literal for the '`Invoke Static`' class.
`static final org.eclipse.emf.ecore.EClass`
`INVOKE_SUPER`
The meta object literal for the '`Invoke Super`' class.
`static final org.eclipse.emf.ecore.EClass`
`ISNULL`
The meta object literal for the '`Isnull`' class.
`static final org.eclipse.emf.ecore.EClass`
`ITERATE`
The meta object literal for the '`Iterate`' class.
`static final org.eclipse.emf.ecore.EDataType`
`LAZY_BAG`
The meta object literal for the 'Lazy Bag' data type.
`static final org.eclipse.emf.ecore.EDataType`
`LAZY_COLLECTION`
The meta object literal for the 'Lazy Collection' data type.
`static final org.eclipse.emf.ecore.EDataType`
`LAZY_LIST`
The meta object literal for the 'Lazy List' data type.
`static final org.eclipse.emf.ecore.EDataType`
`LAZY_ORDERED_SET`
The meta object literal for the 'Lazy Ordered Set' data type.
`static final org.eclipse.emf.ecore.EDataType`
`LAZY_SET`
The meta object literal for the 'Lazy Set' data type.
`static final org.eclipse.emf.ecore.EClass`
`LINE_NUMBER`
The meta object literal for the '`Line Number`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_NUMBER__END_CHAR`
The meta object literal for the 'End Char' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_NUMBER__END_COLUMN`
The meta object literal for the 'End Column' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_NUMBER__END_LINE`
The meta object literal for the 'End Line' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LINE_NUMBER__INSTRUCTIONS`
The meta object literal for the 'Instructions' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`LINE_NUMBER__OWNING_BLOCK`
The meta object literal for the 'Owning Block' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_NUMBER__START_CHAR`
The meta object literal for the 'Start Char' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_NUMBER__START_COLUMN`
The meta object literal for the 'Start Column' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_NUMBER__START_LINE`
The meta object literal for the 'Start Line' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`LOAD`
The meta object literal for the '`Load`' class.
`static final org.eclipse.emf.ecore.EClass`
`LOCAL_VARIABLE`
The meta object literal for the '`Local Variable`' class.
`static final org.eclipse.emf.ecore.EReference`
`LOCAL_VARIABLE__END_INSTRUCTION`
The meta object literal for the 'End Instruction' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCAL_VARIABLE__END_INSTRUCTION_INDEX`
The meta object literal for the 'End Instruction Index' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LOCAL_VARIABLE__OWNING_BLOCK`
The meta object literal for the 'Owning Block' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCAL_VARIABLE__SLOT`
The meta object literal for the 'Slot' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LOCAL_VARIABLE__START_INSTRUCTION`
The meta object literal for the 'Start Instruction' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCAL_VARIABLE__START_INSTRUCTION_INDEX`
The meta object literal for the 'Start Instruction Index' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`LOCAL_VARIABLE_INSTRUCTION`
The meta object literal for the '`Local Variable Instruction`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCAL_VARIABLE_INSTRUCTION__CB_OFFSET`
The meta object literal for the 'Cb Offset' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE`
The meta object literal for the 'Local Variable' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE_INDEX`
The meta object literal for the 'Local Variable Index' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCAL_VARIABLE_INSTRUCTION__SLOT`
The meta object literal for the 'Slot' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`MATCH`
The meta object literal for the '`Match`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`MATCH__RULENAME`
The meta object literal for the 'Rulename' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`MATCH_S`
The meta object literal for the '`Match S`' class.
`static final org.eclipse.emf.ecore.EClass`
`METAMODEL`
The meta object literal for the '`Metamodel`' class.
`static final org.eclipse.emf.ecore.EDataType`
`METHOD`
The meta object literal for the 'Method' data type.
`static final org.eclipse.emf.ecore.EClass`
`MODEL`
The meta object literal for the '`Model`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`MODEL__ALLOW_INTER_MODEL_REFERENCES`
The meta object literal for the 'Allow Inter Model References' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MODEL__RESOURCE`
The meta object literal for the 'Resource' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`MODEL_DECLARATION`
The meta object literal for the '`Model Declaration`' class.
`static final org.eclipse.emf.ecore.EReference`
`MODEL_DECLARATION__INOUT_MODEL_FOR`
The meta object literal for the 'Inout Model For' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MODEL_DECLARATION__INPUT_MODEL_FOR`
The meta object literal for the 'Input Model For' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MODEL_DECLARATION__META_MODEL_NAME`
The meta object literal for the 'Meta Model Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MODEL_DECLARATION__MODEL_NAME`
The meta object literal for the 'Model Name' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`MODEL_DECLARATION__OUTPUT_MODEL_FOR`
The meta object literal for the 'Output Model For' container reference feature.
`static final org.eclipse.emf.ecore.EEnum`
`MODEL_DECLARATION_TAG`
The meta object literal for the '`Model Declaration Tag`' enum.
`static final org.eclipse.emf.ecore.EClass`
`MODULE`
The meta object literal for the '`Module`' class.
`static final org.eclipse.emf.ecore.EReference`
`MODULE__EIMPORTS`
The meta object literal for the 'EImports' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`MODULE__FEATURES`
The meta object literal for the 'Features' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MODULE__IMPORTS`
The meta object literal for the 'Imports' attribute list feature.
`static final org.eclipse.emf.ecore.EReference`
`MODULE__INOUT_MODELS`
The meta object literal for the 'Inout Models' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`MODULE__INPUT_MODELS`
The meta object literal for the 'Input Models' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`MODULE__OUTPUT_MODELS`
The meta object literal for the 'Output Models' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`MODULE__RULES`
The meta object literal for the 'Rules' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MODULE__SOURCE_NAME`
The meta object literal for the 'Source Name' attribute feature.
`static final org.eclipse.emf.ecore.EDataType`
`MODULE_RESOLVER`
The meta object literal for the 'Module Resolver' data type.
`static final org.eclipse.emf.ecore.EClass`
`NAMED_ELEMENT`
The meta object literal for the '`Named Element`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`NAMED_ELEMENT__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`NEW`
The meta object literal for the '`New`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`NEW__MODELNAME`
The meta object literal for the 'Modelname' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`NEW_S`
The meta object literal for the '`New S`' class.
`static final org.eclipse.emf.ecore.EClass`
`NOT`
The meta object literal for the '`Not`' class.
`static final org.eclipse.emf.ecore.EEnum`
`OPCODE`
The meta object literal for the '`Opcode`' enum.
`static final org.eclipse.emf.ecore.EClass`
`OPERATION`
The meta object literal for the '`Operation`' class.
`static final org.eclipse.emf.ecore.EReference`
`OPERATION__BODY`
The meta object literal for the 'Body' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OPERATION__PARAMETERS`
The meta object literal for the 'Parameters' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`OPERATION__QUERY`
The meta object literal for the 'Query' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`OR`
The meta object literal for the '`Or`' class.
`static final org.eclipse.emf.ecore.EClass`
`OUTPUT_RULE_ELEMENT`
The meta object literal for the '`Output Rule Element`' class.
`static final org.eclipse.emf.ecore.EReference`
`OUTPUT_RULE_ELEMENT__MAPS_TO`
The meta object literal for the 'Maps To' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`OUTPUT_RULE_ELEMENT__OUTPUT_FOR`
The meta object literal for the 'Output For' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`PARAMETER`
The meta object literal for the '`Parameter`' class.
`static final org.eclipse.emf.ecore.EReference`
`PARAMETER__OPERATION`
The meta object literal for the 'Operation' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`POP`
The meta object literal for the '`Pop`' class.
`static final org.eclipse.emf.ecore.EClass`
`PUSH`
The meta object literal for the '`Push`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__BYTE_VALUE`
The meta object literal for the 'Byte Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__CHAR_VALUE`
The meta object literal for the 'Char Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__DOUBLE_VALUE`
The meta object literal for the 'Double Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__ENUM_VALUE`
The meta object literal for the 'Enum Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__FLOAT_VALUE`
The meta object literal for the 'Float Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__INT_VALUE`
The meta object literal for the 'Int Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__LONG_VALUE`
The meta object literal for the 'Long Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__SHORT_VALUE`
The meta object literal for the 'Short Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__STRING_VALUE`
The meta object literal for the 'String Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PUSH__VALUE`
The meta object literal for the 'Value' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`PUSHF`
The meta object literal for the '`Pushf`' class.
`static final org.eclipse.emf.ecore.EClass`
`PUSHT`
The meta object literal for the '`Pusht`' class.
`static final org.eclipse.emf.ecore.EClass`
`REMOVE`
The meta object literal for the '`Remove`' class.
`static final org.eclipse.emf.ecore.EClass`
`RETURN`
The meta object literal for the '`Return`' class.
`static final org.eclipse.emf.ecore.EClass`
`RULE`
The meta object literal for the '`Rule`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE__ABSTRACT`
The meta object literal for the 'Abstract' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__APPLIER`
The meta object literal for the 'Applier' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE__DEFAULT`
The meta object literal for the 'Default' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE__DISTINCT_ELEMENTS`
The meta object literal for the 'Distinct Elements' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__ESUB_RULES`
The meta object literal for the 'ESub Rules' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__ESUPER_RULES`
The meta object literal for the 'ESuper Rules' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__FIELDS`
The meta object literal for the 'Fields' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__INPUT_ELEMENTS`
The meta object literal for the 'Input Elements' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE__LEAF`
The meta object literal for the 'Leaf' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__MATCHER`
The meta object literal for the 'Matcher' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE__MODE`
The meta object literal for the 'Mode' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__MODULE`
The meta object literal for the 'Module' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__OUTPUT_ELEMENTS`
The meta object literal for the 'Output Elements' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`RULE__POST_APPLY`
The meta object literal for the 'Post Apply' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE__SUPER_RULES`
The meta object literal for the 'Super Rules' attribute list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE__UNIQUE`
The meta object literal for the 'Unique' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE__WITH_LEAVES`
The meta object literal for the 'With Leaves' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`RULE_ELEMENT`
The meta object literal for the '`Rule Element`' class.
`static final org.eclipse.emf.ecore.EReference`
`RULE_ELEMENT__EMODELS`
The meta object literal for the 'EModels' reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`RULE_ELEMENT__MODELS`
The meta object literal for the 'Models' attribute list feature.
`static final org.eclipse.emf.ecore.EEnum`
`RULE_MODE`
The meta object literal for the '`Rule Mode`' enum.
`static final org.eclipse.emf.ecore.EClass`
`SET`
The meta object literal for the '`Set`' class.
`static final org.eclipse.emf.ecore.EClass`
`SET_STATIC`
The meta object literal for the '`Set Static`' class.
`static final org.eclipse.emf.ecore.EDataType`
`STACK_FRAME`
The meta object literal for the 'Stack Frame' data type.
`static final org.eclipse.emf.ecore.EClass`
`STORE`
The meta object literal for the '`Store`' class.
`static final org.eclipse.emf.ecore.EClass`
`SWAP`
The meta object literal for the '`Swap`' class.
`static final org.eclipse.emf.ecore.EClass`
`SWAP_X1`
The meta object literal for the '`Swap X1`' class.
`static final org.eclipse.emf.ecore.EDataType`
`TIMING_DATA`
The meta object literal for the 'Timing Data' data type.
`static final org.eclipse.emf.ecore.EClass`
`TYPED_ELEMENT`
The meta object literal for the '`Typed Element`' class.
`static final org.eclipse.emf.ecore.EReference`
`TYPED_ELEMENT__ETYPE`
The meta object literal for the 'EType' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TYPED_ELEMENT__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TYPED_ELEMENT__TYPE_MODEL`
The meta object literal for the 'Type Model' attribute feature.
`static final org.eclipse.emf.ecore.EDataType`
`VM_MONITOR`
The meta object literal for the 'VM Monitor' data type.
`static final org.eclipse.emf.ecore.EClass`
`XOR`
The meta object literal for the '`Xor`' class.

## Field Details

### MODULE

static final org.eclipse.emf.ecore.EClass MODULE
The meta object literal for the '`Module`' class.

See Also:
  - `ModuleImpl`
  - `EmftvmPackageImpl.getModule()`

### MODULE__SOURCE_NAME

static final org.eclipse.emf.ecore.EAttribute MODULE__SOURCE_NAME
The meta object literal for the 'Source Name' attribute feature.

### MODULE__FEATURES

static final org.eclipse.emf.ecore.EReference MODULE__FEATURES
The meta object literal for the 'Features' containment reference list feature.

### MODULE__RULES

static final org.eclipse.emf.ecore.EReference MODULE__RULES
The meta object literal for the 'Rules' containment reference list feature.

### MODULE__EIMPORTS

static final org.eclipse.emf.ecore.EReference MODULE__EIMPORTS
The meta object literal for the 'EImports' reference list feature.

### MODULE__IMPORTS

static final org.eclipse.emf.ecore.EAttribute MODULE__IMPORTS
The meta object literal for the 'Imports' attribute list feature.

### MODULE__INPUT_MODELS

static final org.eclipse.emf.ecore.EReference MODULE__INPUT_MODELS
The meta object literal for the 'Input Models' containment reference list feature.

### MODULE__INOUT_MODELS

static final org.eclipse.emf.ecore.EReference MODULE__INOUT_MODELS
The meta object literal for the 'Inout Models' containment reference list feature.

### MODULE__OUTPUT_MODELS

static final org.eclipse.emf.ecore.EReference MODULE__OUTPUT_MODELS
The meta object literal for the 'Output Models' containment reference list feature.

### MODEL_DECLARATION

static final org.eclipse.emf.ecore.EClass MODEL_DECLARATION
The meta object literal for the '`Model Declaration`' class.

See Also:
  - `ModelDeclarationImpl`
  - `EmftvmPackageImpl.getModelDeclaration()`

### MODEL_DECLARATION__MODEL_NAME

static final org.eclipse.emf.ecore.EAttribute MODEL_DECLARATION__MODEL_NAME
The meta object literal for the 'Model Name' attribute feature.

### MODEL_DECLARATION__META_MODEL_NAME

static final org.eclipse.emf.ecore.EAttribute MODEL_DECLARATION__META_MODEL_NAME
The meta object literal for the 'Meta Model Name' attribute feature.

### MODEL_DECLARATION__INPUT_MODEL_FOR

static final org.eclipse.emf.ecore.EReference MODEL_DECLARATION__INPUT_MODEL_FOR
The meta object literal for the 'Input Model For' container reference feature.

### MODEL_DECLARATION__INOUT_MODEL_FOR

static final org.eclipse.emf.ecore.EReference MODEL_DECLARATION__INOUT_MODEL_FOR
The meta object literal for the 'Inout Model For' container reference feature.

### MODEL_DECLARATION__OUTPUT_MODEL_FOR

static final org.eclipse.emf.ecore.EReference MODEL_DECLARATION__OUTPUT_MODEL_FOR
The meta object literal for the 'Output Model For' container reference feature.

### FEATURE

static final org.eclipse.emf.ecore.EClass FEATURE
The meta object literal for the '`Feature`' class.

See Also:
  - `FeatureImpl`
  - `EmftvmPackageImpl.getFeature()`

### FEATURE__STATIC

static final org.eclipse.emf.ecore.EAttribute FEATURE__STATIC
The meta object literal for the 'Static' attribute feature.

### FEATURE__ECONTEXT

static final org.eclipse.emf.ecore.EReference FEATURE__ECONTEXT
The meta object literal for the 'EContext' reference feature.

### FEATURE__CONTEXT

static final org.eclipse.emf.ecore.EAttribute FEATURE__CONTEXT
The meta object literal for the 'Context' attribute feature.

### FEATURE__CONTEXT_MODEL

static final org.eclipse.emf.ecore.EAttribute FEATURE__CONTEXT_MODEL
The meta object literal for the 'Context Model' attribute feature.

### FEATURE__MODULE

static final org.eclipse.emf.ecore.EReference FEATURE__MODULE
The meta object literal for the 'Module' container reference feature.

### FIELD

static final org.eclipse.emf.ecore.EClass FIELD
The meta object literal for the '`Field`' class.

See Also:
  - `FieldImpl`
  - `EmftvmPackageImpl.getField()`

### FIELD__STATIC_VALUE

static final org.eclipse.emf.ecore.EAttribute FIELD__STATIC_VALUE
The meta object literal for the 'Static Value' attribute feature.

### FIELD__INITIALISER

static final org.eclipse.emf.ecore.EReference FIELD__INITIALISER
The meta object literal for the 'Initialiser' containment reference feature.

### FIELD__RULE

static final org.eclipse.emf.ecore.EReference FIELD__RULE
The meta object literal for the 'Rule' container reference feature.

### OPERATION

static final org.eclipse.emf.ecore.EClass OPERATION
The meta object literal for the '`Operation`' class.

See Also:
  - `OperationImpl`
  - `EmftvmPackageImpl.getOperation()`

### OPERATION__PARAMETERS

static final org.eclipse.emf.ecore.EReference OPERATION__PARAMETERS
The meta object literal for the 'Parameters' containment reference list feature.

### OPERATION__QUERY

static final org.eclipse.emf.ecore.EAttribute OPERATION__QUERY
The meta object literal for the 'Query' attribute feature.

### OPERATION__BODY

static final org.eclipse.emf.ecore.EReference OPERATION__BODY
The meta object literal for the 'Body' containment reference feature.

### NAMED_ELEMENT

static final org.eclipse.emf.ecore.EClass NAMED_ELEMENT
The meta object literal for the '`Named Element`' class.

See Also:
  - `NamedElementImpl`
  - `EmftvmPackageImpl.getNamedElement()`

### NAMED_ELEMENT__NAME

static final org.eclipse.emf.ecore.EAttribute NAMED_ELEMENT__NAME
The meta object literal for the 'Name' attribute feature.

### PARAMETER

static final org.eclipse.emf.ecore.EClass PARAMETER
The meta object literal for the '`Parameter`' class.

See Also:
  - `ParameterImpl`
  - `EmftvmPackageImpl.getParameter()`

### PARAMETER__OPERATION

static final org.eclipse.emf.ecore.EReference PARAMETER__OPERATION
The meta object literal for the 'Operation' container reference feature.

### TYPED_ELEMENT

static final org.eclipse.emf.ecore.EClass TYPED_ELEMENT
The meta object literal for the '`Typed Element`' class.

See Also:
  - `TypedElementImpl`
  - `EmftvmPackageImpl.getTypedElement()`

### TYPED_ELEMENT__ETYPE

static final org.eclipse.emf.ecore.EReference TYPED_ELEMENT__ETYPE
The meta object literal for the 'EType' reference feature.

### TYPED_ELEMENT__TYPE

static final org.eclipse.emf.ecore.EAttribute TYPED_ELEMENT__TYPE
The meta object literal for the 'Type' attribute feature.

### TYPED_ELEMENT__TYPE_MODEL

static final org.eclipse.emf.ecore.EAttribute TYPED_ELEMENT__TYPE_MODEL
The meta object literal for the 'Type Model' attribute feature.

### INSTRUCTION

static final org.eclipse.emf.ecore.EClass INSTRUCTION
The meta object literal for the '`Instruction`' class.

See Also:
  - `InstructionImpl`
  - `EmftvmPackageImpl.getInstruction()`

### INSTRUCTION__OWNING_BLOCK

static final org.eclipse.emf.ecore.EReference INSTRUCTION__OWNING_BLOCK
The meta object literal for the 'Owning Block' container reference feature.

### INSTRUCTION__OPCODE

static final org.eclipse.emf.ecore.EAttribute INSTRUCTION__OPCODE
The meta object literal for the 'Opcode' attribute feature.

### INSTRUCTION__STACK_PRODUCTION

static final org.eclipse.emf.ecore.EAttribute INSTRUCTION__STACK_PRODUCTION
The meta object literal for the 'Stack Production' attribute feature.

### INSTRUCTION__STACK_CONSUMPTION

static final org.eclipse.emf.ecore.EAttribute INSTRUCTION__STACK_CONSUMPTION
The meta object literal for the 'Stack Consumption' attribute feature.

### INSTRUCTION__STACK_LEVEL

static final org.eclipse.emf.ecore.EAttribute INSTRUCTION__STACK_LEVEL
The meta object literal for the 'Stack Level' attribute feature.

### INSTRUCTION__LINE_NUMBER

static final org.eclipse.emf.ecore.EReference INSTRUCTION__LINE_NUMBER
The meta object literal for the 'Line Number' reference feature.

### LINE_NUMBER

static final org.eclipse.emf.ecore.EClass LINE_NUMBER
The meta object literal for the '`Line Number`' class.

See Also:
  - `LineNumberImpl`
  - `EmftvmPackageImpl.getLineNumber()`

### LINE_NUMBER__START_LINE

static final org.eclipse.emf.ecore.EAttribute LINE_NUMBER__START_LINE
The meta object literal for the 'Start Line' attribute feature.

### LINE_NUMBER__START_COLUMN

static final org.eclipse.emf.ecore.EAttribute LINE_NUMBER__START_COLUMN
The meta object literal for the 'Start Column' attribute feature.

### LINE_NUMBER__END_LINE

static final org.eclipse.emf.ecore.EAttribute LINE_NUMBER__END_LINE
The meta object literal for the 'End Line' attribute feature.

### LINE_NUMBER__END_COLUMN

static final org.eclipse.emf.ecore.EAttribute LINE_NUMBER__END_COLUMN
The meta object literal for the 'End Column' attribute feature.

### LINE_NUMBER__START_CHAR

static final org.eclipse.emf.ecore.EAttribute LINE_NUMBER__START_CHAR
The meta object literal for the 'Start Char' attribute feature.

### LINE_NUMBER__END_CHAR

static final org.eclipse.emf.ecore.EAttribute LINE_NUMBER__END_CHAR
The meta object literal for the 'End Char' attribute feature.

### LINE_NUMBER__OWNING_BLOCK

static final org.eclipse.emf.ecore.EReference LINE_NUMBER__OWNING_BLOCK
The meta object literal for the 'Owning Block' container reference feature.

### LINE_NUMBER__INSTRUCTIONS

static final org.eclipse.emf.ecore.EReference LINE_NUMBER__INSTRUCTIONS
The meta object literal for the 'Instructions' reference list feature.

### LOCAL_VARIABLE

static final org.eclipse.emf.ecore.EClass LOCAL_VARIABLE
The meta object literal for the '`Local Variable`' class.

See Also:
  - `LocalVariableImpl`
  - `EmftvmPackageImpl.getLocalVariable()`

### LOCAL_VARIABLE__SLOT

static final org.eclipse.emf.ecore.EAttribute LOCAL_VARIABLE__SLOT
The meta object literal for the 'Slot' attribute feature.

### LOCAL_VARIABLE__START_INSTRUCTION

static final org.eclipse.emf.ecore.EReference LOCAL_VARIABLE__START_INSTRUCTION
The meta object literal for the 'Start Instruction' reference feature.

### LOCAL_VARIABLE__END_INSTRUCTION

static final org.eclipse.emf.ecore.EReference LOCAL_VARIABLE__END_INSTRUCTION
The meta object literal for the 'End Instruction' reference feature.

### LOCAL_VARIABLE__START_INSTRUCTION_INDEX

static final org.eclipse.emf.ecore.EAttribute LOCAL_VARIABLE__START_INSTRUCTION_INDEX
The meta object literal for the 'Start Instruction Index' attribute feature.

### LOCAL_VARIABLE__END_INSTRUCTION_INDEX

static final org.eclipse.emf.ecore.EAttribute LOCAL_VARIABLE__END_INSTRUCTION_INDEX
The meta object literal for the 'End Instruction Index' attribute feature.

### LOCAL_VARIABLE__OWNING_BLOCK

static final org.eclipse.emf.ecore.EReference LOCAL_VARIABLE__OWNING_BLOCK
The meta object literal for the 'Owning Block' container reference feature.

### RULE

static final org.eclipse.emf.ecore.EClass RULE
The meta object literal for the '`Rule`' class.

See Also:
  - `RuleImpl`
  - `EmftvmPackageImpl.getRule()`

### RULE__MODULE

static final org.eclipse.emf.ecore.EReference RULE__MODULE
The meta object literal for the 'Module' container reference feature.

### RULE__MODE

static final org.eclipse.emf.ecore.EAttribute RULE__MODE
The meta object literal for the 'Mode' attribute feature.

### RULE__INPUT_ELEMENTS

static final org.eclipse.emf.ecore.EReference RULE__INPUT_ELEMENTS
The meta object literal for the 'Input Elements' containment reference list feature.

### RULE__OUTPUT_ELEMENTS

static final org.eclipse.emf.ecore.EReference RULE__OUTPUT_ELEMENTS
The meta object literal for the 'Output Elements' containment reference list feature.

### RULE__ESUPER_RULES

static final org.eclipse.emf.ecore.EReference RULE__ESUPER_RULES
The meta object literal for the 'ESuper Rules' reference list feature.

### RULE__ESUB_RULES

static final org.eclipse.emf.ecore.EReference RULE__ESUB_RULES
The meta object literal for the 'ESub Rules' reference list feature.

### RULE__MATCHER

static final org.eclipse.emf.ecore.EReference RULE__MATCHER
The meta object literal for the 'Matcher' containment reference feature.

### RULE__APPLIER

static final org.eclipse.emf.ecore.EReference RULE__APPLIER
The meta object literal for the 'Applier' containment reference feature.

### RULE__POST_APPLY

static final org.eclipse.emf.ecore.EReference RULE__POST_APPLY
The meta object literal for the 'Post Apply' containment reference feature.

### RULE__SUPER_RULES

static final org.eclipse.emf.ecore.EAttribute RULE__SUPER_RULES
The meta object literal for the 'Super Rules' attribute list feature.

### RULE__ABSTRACT

static final org.eclipse.emf.ecore.EAttribute RULE__ABSTRACT
The meta object literal for the 'Abstract' attribute feature.

### RULE__FIELDS

static final org.eclipse.emf.ecore.EReference RULE__FIELDS
The meta object literal for the 'Fields' containment reference list feature.

### RULE__DEFAULT

static final org.eclipse.emf.ecore.EAttribute RULE__DEFAULT
The meta object literal for the 'Default' attribute feature.

### RULE__DISTINCT_ELEMENTS

static final org.eclipse.emf.ecore.EAttribute RULE__DISTINCT_ELEMENTS
The meta object literal for the 'Distinct Elements' attribute feature.

### RULE__UNIQUE

static final org.eclipse.emf.ecore.EAttribute RULE__UNIQUE
The meta object literal for the 'Unique' attribute feature.

### RULE__LEAF

static final org.eclipse.emf.ecore.EAttribute RULE__LEAF
The meta object literal for the 'Leaf' attribute feature.

### RULE__WITH_LEAVES

static final org.eclipse.emf.ecore.EAttribute RULE__WITH_LEAVES
The meta object literal for the 'With Leaves' attribute feature.

### RULE_ELEMENT

static final org.eclipse.emf.ecore.EClass RULE_ELEMENT
The meta object literal for the '`Rule Element`' class.

See Also:
  - `RuleElementImpl`
  - `EmftvmPackageImpl.getRuleElement()`

### CODE_BLOCK

static final org.eclipse.emf.ecore.EClass CODE_BLOCK
The meta object literal for the '`Code Block`' class.

See Also:
  - `CodeBlockImpl`
  - `EmftvmPackageImpl.getCodeBlock()`

### CODE_BLOCK__MAX_LOCALS

static final org.eclipse.emf.ecore.EAttribute CODE_BLOCK__MAX_LOCALS
The meta object literal for the 'Max Locals' attribute feature.

### CODE_BLOCK__MAX_STACK

static final org.eclipse.emf.ecore.EAttribute CODE_BLOCK__MAX_STACK
The meta object literal for the 'Max Stack' attribute feature.

### CODE_BLOCK__CODE

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__CODE
The meta object literal for the 'Code' containment reference list feature.

### CODE_BLOCK__LINE_NUMBERS

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__LINE_NUMBERS
The meta object literal for the 'Line Numbers' containment reference list feature.

### CODE_BLOCK__LOCAL_VARIABLES

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__LOCAL_VARIABLES
The meta object literal for the 'Local Variables' containment reference list feature.

### CODE_BLOCK__MATCHER_FOR

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__MATCHER_FOR
The meta object literal for the 'Matcher For' container reference feature.

### CODE_BLOCK__APPLIER_FOR

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__APPLIER_FOR
The meta object literal for the 'Applier For' container reference feature.

### CODE_BLOCK__POST_APPLY_FOR

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__POST_APPLY_FOR
The meta object literal for the 'Post Apply For' container reference feature.

### CODE_BLOCK__BODY_FOR

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__BODY_FOR
The meta object literal for the 'Body For' container reference feature.

### CODE_BLOCK__INITIALISER_FOR

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__INITIALISER_FOR
The meta object literal for the 'Initialiser For' container reference feature.

### CODE_BLOCK__NESTED

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__NESTED
The meta object literal for the 'Nested' containment reference list feature.

### CODE_BLOCK__NESTED_FOR

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__NESTED_FOR
The meta object literal for the 'Nested For' container reference feature.

### CODE_BLOCK__PARENT_FRAME

static final org.eclipse.emf.ecore.EAttribute CODE_BLOCK__PARENT_FRAME
The meta object literal for the 'Parent Frame' attribute feature.

### CODE_BLOCK__BINDING_FOR

static final org.eclipse.emf.ecore.EReference CODE_BLOCK__BINDING_FOR
The meta object literal for the 'Binding For' container reference feature.

### PUSH

static final org.eclipse.emf.ecore.EClass PUSH
The meta object literal for the '`Push`' class.

See Also:
  - `PushImpl`
  - `EmftvmPackageImpl.getPush()`

### PUSH__VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__VALUE
The meta object literal for the 'Value' attribute feature.

### PUSH__STRING_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__STRING_VALUE
The meta object literal for the 'String Value' attribute feature.

### PUSH__INT_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__INT_VALUE
The meta object literal for the 'Int Value' attribute feature.

### PUSH__DOUBLE_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__DOUBLE_VALUE
The meta object literal for the 'Double Value' attribute feature.

### PUSH__BYTE_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__BYTE_VALUE
The meta object literal for the 'Byte Value' attribute feature.

### PUSH__CHAR_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__CHAR_VALUE
The meta object literal for the 'Char Value' attribute feature.

### PUSH__FLOAT_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__FLOAT_VALUE
The meta object literal for the 'Float Value' attribute feature.

### PUSH__SHORT_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__SHORT_VALUE
The meta object literal for the 'Short Value' attribute feature.

### PUSH__LONG_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__LONG_VALUE
The meta object literal for the 'Long Value' attribute feature.

### PUSH__ENUM_VALUE

static final org.eclipse.emf.ecore.EAttribute PUSH__ENUM_VALUE
The meta object literal for the 'Enum Value' attribute feature.

### PUSHT

static final org.eclipse.emf.ecore.EClass PUSHT
The meta object literal for the '`Pusht`' class.

See Also:
  - `PushtImpl`
  - `EmftvmPackageImpl.getPusht()`

### PUSHF

static final org.eclipse.emf.ecore.EClass PUSHF
The meta object literal for the '`Pushf`' class.

See Also:
  - `PushfImpl`
  - `EmftvmPackageImpl.getPushf()`

### POP

static final org.eclipse.emf.ecore.EClass POP
The meta object literal for the '`Pop`' class.

See Also:
  - `PopImpl`
  - `EmftvmPackageImpl.getPop()`

### LOCAL_VARIABLE_INSTRUCTION

static final org.eclipse.emf.ecore.EClass LOCAL_VARIABLE_INSTRUCTION
The meta object literal for the '`Local Variable Instruction`' class.

See Also:
  - `LocalVariableInstructionImpl`
  - `EmftvmPackageImpl.getLocalVariableInstruction()`

### LOCAL_VARIABLE_INSTRUCTION__CB_OFFSET

static final org.eclipse.emf.ecore.EAttribute LOCAL_VARIABLE_INSTRUCTION__CB_OFFSET
The meta object literal for the 'Cb Offset' attribute feature.

### LOCAL_VARIABLE_INSTRUCTION__SLOT

static final org.eclipse.emf.ecore.EAttribute LOCAL_VARIABLE_INSTRUCTION__SLOT
The meta object literal for the 'Slot' attribute feature.

### LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE_INDEX

static final org.eclipse.emf.ecore.EAttribute LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE_INDEX
The meta object literal for the 'Local Variable Index' attribute feature.

### LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE

static final org.eclipse.emf.ecore.EReference LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE
The meta object literal for the 'Local Variable' reference feature.

### LOAD

static final org.eclipse.emf.ecore.EClass LOAD
The meta object literal for the '`Load`' class.

See Also:
  - `LoadImpl`
  - `EmftvmPackageImpl.getLoad()`

### STORE

static final org.eclipse.emf.ecore.EClass STORE
The meta object literal for the '`Store`' class.

See Also:
  - `StoreImpl`
  - `EmftvmPackageImpl.getStore()`

### FIELD_INSTRUCTION

static final org.eclipse.emf.ecore.EClass FIELD_INSTRUCTION
The meta object literal for the '`Field Instruction`' class.

See Also:
  - `FieldInstructionImpl`
  - `EmftvmPackageImpl.getFieldInstruction()`

### FIELD_INSTRUCTION__FIELDNAME

static final org.eclipse.emf.ecore.EAttribute FIELD_INSTRUCTION__FIELDNAME
The meta object literal for the 'Fieldname' attribute feature.

### SET

static final org.eclipse.emf.ecore.EClass SET
The meta object literal for the '`Set`' class.

See Also:
  - `SetImpl`
  - `EmftvmPackageImpl.getSet()`

### GET

static final org.eclipse.emf.ecore.EClass GET
The meta object literal for the '`Get`' class.

See Also:
  - `GetImpl`
  - `EmftvmPackageImpl.getGet()`

### GET_TRANS

static final org.eclipse.emf.ecore.EClass GET_TRANS
The meta object literal for the '`Get Trans`' class.

See Also:
  - `GetTransImpl`
  - `EmftvmPackageImpl.getGetTrans()`

### SET_STATIC

static final org.eclipse.emf.ecore.EClass SET_STATIC
The meta object literal for the '`Set Static`' class.

See Also:
  - `SetStaticImpl`
  - `EmftvmPackageImpl.getSetStatic()`

### GET_STATIC

static final org.eclipse.emf.ecore.EClass GET_STATIC
The meta object literal for the '`Get Static`' class.

See Also:
  - `GetStaticImpl`
  - `EmftvmPackageImpl.getGetStatic()`

### FINDTYPE

static final org.eclipse.emf.ecore.EClass FINDTYPE
The meta object literal for the '`Findtype`' class.

See Also:
  - `FindtypeImpl`
  - `EmftvmPackageImpl.getFindtype()`

### FINDTYPE__MODELNAME

static final org.eclipse.emf.ecore.EAttribute FINDTYPE__MODELNAME
The meta object literal for the 'Modelname' attribute feature.

### FINDTYPE__TYPENAME

static final org.eclipse.emf.ecore.EAttribute FINDTYPE__TYPENAME
The meta object literal for the 'Typename' attribute feature.

### FINDTYPE_S

static final org.eclipse.emf.ecore.EClass FINDTYPE_S
The meta object literal for the '`Findtype S`' class.

See Also:
  - `FindtypeSImpl`
  - `EmftvmPackageImpl.getFindtypeS()`

### NEW

static final org.eclipse.emf.ecore.EClass NEW
The meta object literal for the '`New`' class.

See Also:
  - `NewImpl`
  - `EmftvmPackageImpl.getNew()`

### NEW__MODELNAME

static final org.eclipse.emf.ecore.EAttribute NEW__MODELNAME
The meta object literal for the 'Modelname' attribute feature.

### NEW_S

static final org.eclipse.emf.ecore.EClass NEW_S
The meta object literal for the '`New S`' class.

See Also:
  - `NewSImpl`
  - `EmftvmPackageImpl.getNewS()`

### DELETE

static final org.eclipse.emf.ecore.EClass DELETE
The meta object literal for the '`Delete`' class.

See Also:
  - `DeleteImpl`
  - `EmftvmPackageImpl.getDelete()`

### DUP

static final org.eclipse.emf.ecore.EClass DUP
The meta object literal for the '`Dup`' class.

See Also:
  - `DupImpl`
  - `EmftvmPackageImpl.getDup()`

### DUP_X1

static final org.eclipse.emf.ecore.EClass DUP_X1
The meta object literal for the '`Dup X1`' class.

See Also:
  - `DupX1Impl`
  - `EmftvmPackageImpl.getDupX1()`

### SWAP

static final org.eclipse.emf.ecore.EClass SWAP
The meta object literal for the '`Swap`' class.

See Also:
  - `SwapImpl`
  - `EmftvmPackageImpl.getSwap()`

### SWAP_X1

static final org.eclipse.emf.ecore.EClass SWAP_X1
The meta object literal for the '`Swap X1`' class.

See Also:
  - `SwapX1Impl`
  - `EmftvmPackageImpl.getSwapX1()`

### BRANCH_INSTRUCTION

static final org.eclipse.emf.ecore.EClass BRANCH_INSTRUCTION
The meta object literal for the '`Branch Instruction`' class.

See Also:
  - `BranchInstructionImpl`
  - `EmftvmPackageImpl.getBranchInstruction()`

### BRANCH_INSTRUCTION__OFFSET

static final org.eclipse.emf.ecore.EAttribute BRANCH_INSTRUCTION__OFFSET
The meta object literal for the 'Offset' attribute feature.

### BRANCH_INSTRUCTION__TARGET

static final org.eclipse.emf.ecore.EReference BRANCH_INSTRUCTION__TARGET
The meta object literal for the 'Target' reference feature.

### IF

static final org.eclipse.emf.ecore.EClass IF
The meta object literal for the '`If`' class.

See Also:
  - `IfImpl`
  - `EmftvmPackageImpl.getIf()`

### IFN

static final org.eclipse.emf.ecore.EClass IFN
The meta object literal for the '`Ifn`' class.

See Also:
  - `IfnImpl`
  - `EmftvmPackageImpl.getIfn()`

### GOTO

static final org.eclipse.emf.ecore.EClass GOTO
The meta object literal for the '`Goto`' class.

See Also:
  - `GotoImpl`
  - `EmftvmPackageImpl.getGoto()`

### ITERATE

static final org.eclipse.emf.ecore.EClass ITERATE
The meta object literal for the '`Iterate`' class.

See Also:
  - `IterateImpl`
  - `EmftvmPackageImpl.getIterate()`

### ENDITERATE

static final org.eclipse.emf.ecore.EClass ENDITERATE
The meta object literal for the '`Enditerate`' class.

See Also:
  - `EnditerateImpl`
  - `EmftvmPackageImpl.getEnditerate()`

### INVOKE_INSTRUCTION

static final org.eclipse.emf.ecore.EClass INVOKE_INSTRUCTION
The meta object literal for the '`Invoke Instruction`' class.

See Also:
  - `InvokeInstructionImpl`
  - `EmftvmPackageImpl.getInvokeInstruction()`

### INVOKE_INSTRUCTION__ARGCOUNT

static final org.eclipse.emf.ecore.EAttribute INVOKE_INSTRUCTION__ARGCOUNT
The meta object literal for the 'Argcount' attribute feature.

### INVOKE_OPERATION_INSTRUCTION

static final org.eclipse.emf.ecore.EClass INVOKE_OPERATION_INSTRUCTION
The meta object literal for the '`Invoke Operation Instruction`' class.

See Also:
  - `InvokeOperationInstructionImpl`
  - `EmftvmPackageImpl.getInvokeOperationInstruction()`

### INVOKE_OPERATION_INSTRUCTION__OPNAME

static final org.eclipse.emf.ecore.EAttribute INVOKE_OPERATION_INSTRUCTION__OPNAME
The meta object literal for the 'Opname' attribute feature.

### INVOKE

static final org.eclipse.emf.ecore.EClass INVOKE
The meta object literal for the '`Invoke`' class.

See Also:
  - `InvokeImpl`
  - `EmftvmPackageImpl.getInvoke()`

### INVOKE_SUPER

static final org.eclipse.emf.ecore.EClass INVOKE_SUPER
The meta object literal for the '`Invoke Super`' class.

See Also:
  - `InvokeSuperImpl`
  - `EmftvmPackageImpl.getInvokeSuper()`

### INVOKE_STATIC

static final org.eclipse.emf.ecore.EClass INVOKE_STATIC
The meta object literal for the '`Invoke Static`' class.

See Also:
  - `InvokeStaticImpl`
  - `EmftvmPackageImpl.getInvokeStatic()`

### ALLINST

static final org.eclipse.emf.ecore.EClass ALLINST
The meta object literal for the '`Allinst`' class.

See Also:
  - `AllinstImpl`
  - `EmftvmPackageImpl.getAllinst()`

### ALLINST_IN

static final org.eclipse.emf.ecore.EClass ALLINST_IN
The meta object literal for the '`Allinst In`' class.

See Also:
  - `AllinstInImpl`
  - `EmftvmPackageImpl.getAllinstIn()`

### MATCH

static final org.eclipse.emf.ecore.EClass MATCH
The meta object literal for the '`Match`' class.

See Also:
  - `MatchImpl`
  - `EmftvmPackageImpl.getMatch()`

### MATCH__RULENAME

static final org.eclipse.emf.ecore.EAttribute MATCH__RULENAME
The meta object literal for the 'Rulename' attribute feature.

### MATCH_S

static final org.eclipse.emf.ecore.EClass MATCH_S
The meta object literal for the '`Match S`' class.

See Also:
  - `MatchSImpl`
  - `EmftvmPackageImpl.getMatchS()`

### ADD

static final org.eclipse.emf.ecore.EClass ADD
The meta object literal for the '`Add`' class.

See Also:
  - `AddImpl`
  - `EmftvmPackageImpl.getAdd()`

### REMOVE

static final org.eclipse.emf.ecore.EClass REMOVE
The meta object literal for the '`Remove`' class.

See Also:
  - `RemoveImpl`
  - `EmftvmPackageImpl.getRemove()`

### INSERT

static final org.eclipse.emf.ecore.EClass INSERT
The meta object literal for the '`Insert`' class.

See Also:
  - `InsertImpl`
  - `EmftvmPackageImpl.getInsert()`

### GET_SUPER

static final org.eclipse.emf.ecore.EClass GET_SUPER
The meta object literal for the '`Get Super`' class.

See Also:
  - `GetSuperImpl`
  - `EmftvmPackageImpl.getGetSuper()`

### GETENV

static final org.eclipse.emf.ecore.EClass GETENV
The meta object literal for the '`Getenv`' class.

See Also:
  - `GetenvImpl`
  - `EmftvmPackageImpl.getGetenv()`

### INVOKE_ALL_CBS

static final org.eclipse.emf.ecore.EClass INVOKE_ALL_CBS
The meta object literal for the '`Invoke All Cbs`' class.

See Also:
  - `InvokeAllCbsImpl`
  - `EmftvmPackageImpl.getInvokeAllCbs()`

### RETURN

static final org.eclipse.emf.ecore.EClass RETURN
The meta object literal for the '`Return`' class.

See Also:
  - `ReturnImpl`
  - `EmftvmPackageImpl.getReturn()`

### CODE_BLOCK_INSTRUCTION

static final org.eclipse.emf.ecore.EClass CODE_BLOCK_INSTRUCTION
The meta object literal for the '`Code Block Instruction`' class.

See Also:
  - `CodeBlockInstructionImpl`
  - `EmftvmPackageImpl.getCodeBlockInstruction()`

### CODE_BLOCK_INSTRUCTION__CODE_BLOCK

static final org.eclipse.emf.ecore.EReference CODE_BLOCK_INSTRUCTION__CODE_BLOCK
The meta object literal for the 'Code Block' reference feature.

### CODE_BLOCK_INSTRUCTION__CB_INDEX

static final org.eclipse.emf.ecore.EAttribute CODE_BLOCK_INSTRUCTION__CB_INDEX
The meta object literal for the 'Cb Index' attribute feature.

### GETCB

static final org.eclipse.emf.ecore.EClass GETCB
The meta object literal for the '`Getcb`' class.

See Also:
  - `GetcbImpl`
  - `EmftvmPackageImpl.getGetcb()`

### INVOKE_CB

static final org.eclipse.emf.ecore.EClass INVOKE_CB
The meta object literal for the '`Invoke Cb`' class.

See Also:
  - `InvokeCbImpl`
  - `EmftvmPackageImpl.getInvokeCb()`

### INVOKE_CB_S

static final org.eclipse.emf.ecore.EClass INVOKE_CB_S
The meta object literal for the '`Invoke Cb S`' class.

See Also:
  - `InvokeCbSImpl`
  - `EmftvmPackageImpl.getInvokeCbS()`

### MODEL_DECLARATION_TAG

static final org.eclipse.emf.ecore.EEnum MODEL_DECLARATION_TAG
The meta object literal for the '`Model Declaration Tag`' enum.

See Also:
  - `ModelDeclarationTag`
  - `EmftvmPackageImpl.getModelDeclarationTag()`

### NOT

static final org.eclipse.emf.ecore.EClass NOT
The meta object literal for the '`Not`' class.

See Also:
  - `NotImpl`
  - `EmftvmPackageImpl.getNot()`

### AND

static final org.eclipse.emf.ecore.EClass AND
The meta object literal for the '`And`' class.

See Also:
  - `AndImpl`
  - `EmftvmPackageImpl.getAnd()`

### OR

static final org.eclipse.emf.ecore.EClass OR
The meta object literal for the '`Or`' class.

See Also:
  - `OrImpl`
  - `EmftvmPackageImpl.getOr()`

### XOR

static final org.eclipse.emf.ecore.EClass XOR
The meta object literal for the '`Xor`' class.

See Also:
  - `XorImpl`
  - `EmftvmPackageImpl.getXor()`

### IMPLIES

static final org.eclipse.emf.ecore.EClass IMPLIES
The meta object literal for the '`Implies`' class.

See Also:
  - `ImpliesImpl`
  - `EmftvmPackageImpl.getImplies()`

### IFTE

static final org.eclipse.emf.ecore.EClass IFTE
The meta object literal for the '`Ifte`' class.

See Also:
  - `IfteImpl`
  - `EmftvmPackageImpl.getIfte()`

### IFTE__THEN_CB_INDEX

static final org.eclipse.emf.ecore.EAttribute IFTE__THEN_CB_INDEX
The meta object literal for the 'Then Cb Index' attribute feature.

### IFTE__ELSE_CB_INDEX

static final org.eclipse.emf.ecore.EAttribute IFTE__ELSE_CB_INDEX
The meta object literal for the 'Else Cb Index' attribute feature.

### IFTE__THEN_CB

static final org.eclipse.emf.ecore.EReference IFTE__THEN_CB
The meta object literal for the 'Then Cb' reference feature.

### IFTE__ELSE_CB

static final org.eclipse.emf.ecore.EReference IFTE__ELSE_CB
The meta object literal for the 'Else Cb' reference feature.

### ISNULL

static final org.eclipse.emf.ecore.EClass ISNULL
The meta object literal for the '`Isnull`' class.

See Also:
  - `IsnullImpl`
  - `EmftvmPackageImpl.getIsnull()`

### GETENVTYPE

static final org.eclipse.emf.ecore.EClass GETENVTYPE
The meta object literal for the '`Getenvtype`' class.

See Also:
  - `GetenvtypeImpl`
  - `EmftvmPackageImpl.getGetenvtype()`

### FEATURE_TAG

static final org.eclipse.emf.ecore.EEnum FEATURE_TAG
The meta object literal for the '`Feature Tag`' enum.

See Also:
  - `FeatureTag`
  - `EmftvmPackageImpl.getFeatureTag()`

### EXEC_ENV

static final org.eclipse.emf.ecore.EClass EXEC_ENV
The meta object literal for the '`Exec Env`' class.

See Also:
  - `ExecEnvImpl`
  - `EmftvmPackageImpl.getExecEnv()`

### EXEC_ENV__MODULES

static final org.eclipse.emf.ecore.EAttribute EXEC_ENV__MODULES
The meta object literal for the 'Modules' attribute feature.

### EXEC_ENV__MATCHES

static final org.eclipse.emf.ecore.EReference EXEC_ENV__MATCHES
The meta object literal for the 'Matches' reference feature.

### EXEC_ENV__TRACES

static final org.eclipse.emf.ecore.EReference EXEC_ENV__TRACES
The meta object literal for the 'Traces' reference feature.

### EXEC_ENV__UNIQUE_RESULTS

static final org.eclipse.emf.ecore.EAttribute EXEC_ENV__UNIQUE_RESULTS
The meta object literal for the 'Unique Results' attribute feature.

### EXEC_ENV__JIT_DISABLED

static final org.eclipse.emf.ecore.EAttribute EXEC_ENV__JIT_DISABLED
The meta object literal for the 'Jit Disabled' attribute feature.

### EXEC_ENV__CURRENT_PHASE

static final org.eclipse.emf.ecore.EAttribute EXEC_ENV__CURRENT_PHASE
The meta object literal for the 'Current Phase' attribute feature.

### EXEC_ENV__META_MODELS

static final org.eclipse.emf.ecore.EAttribute EXEC_ENV__META_MODELS
The meta object literal for the 'Meta Models' attribute feature.

### EXEC_ENV__INPUT_MODELS

static final org.eclipse.emf.ecore.EAttribute EXEC_ENV__INPUT_MODELS
The meta object literal for the 'Input Models' attribute feature.

### EXEC_ENV__INOUT_MODELS

static final org.eclipse.emf.ecore.EAttribute EXEC_ENV__INOUT_MODELS
The meta object literal for the 'Inout Models' attribute feature.

### EXEC_ENV__OUTPUT_MODELS

static final org.eclipse.emf.ecore.EAttribute EXEC_ENV__OUTPUT_MODELS
The meta object literal for the 'Output Models' attribute feature.

### MODEL

static final org.eclipse.emf.ecore.EClass MODEL
The meta object literal for the '`Model`' class.

See Also:
  - `ModelImpl`
  - `EmftvmPackageImpl.getModel()`

### MODEL__RESOURCE

static final org.eclipse.emf.ecore.EAttribute MODEL__RESOURCE
The meta object literal for the 'Resource' attribute feature.

### MODEL__ALLOW_INTER_MODEL_REFERENCES

static final org.eclipse.emf.ecore.EAttribute MODEL__ALLOW_INTER_MODEL_REFERENCES
The meta object literal for the 'Allow Inter Model References' attribute feature.

### METAMODEL

static final org.eclipse.emf.ecore.EClass METAMODEL
The meta object literal for the '`Metamodel`' class.

See Also:
  - `MetamodelImpl`
  - `EmftvmPackageImpl.getMetamodel()`

### RULE_ELEMENT__MODELS

static final org.eclipse.emf.ecore.EAttribute RULE_ELEMENT__MODELS
The meta object literal for the 'Models' attribute list feature.

### RULE_ELEMENT__EMODELS

static final org.eclipse.emf.ecore.EReference RULE_ELEMENT__EMODELS
The meta object literal for the 'EModels' reference list feature.

### INPUT_RULE_ELEMENT

static final org.eclipse.emf.ecore.EClass INPUT_RULE_ELEMENT
The meta object literal for the '`Input Rule Element`' class.

See Also:
  - `InputRuleElementImpl`
  - `EmftvmPackageImpl.getInputRuleElement()`

### INPUT_RULE_ELEMENT__BINDING

static final org.eclipse.emf.ecore.EReference INPUT_RULE_ELEMENT__BINDING
The meta object literal for the 'Binding' containment reference feature.

### INPUT_RULE_ELEMENT__INPUT_FOR

static final org.eclipse.emf.ecore.EReference INPUT_RULE_ELEMENT__INPUT_FOR
The meta object literal for the 'Input For' container reference feature.

### INPUT_RULE_ELEMENT__MAPS_TO_SELF

static final org.eclipse.emf.ecore.EAttribute INPUT_RULE_ELEMENT__MAPS_TO_SELF
The meta object literal for the 'Maps To Self' attribute feature.

### OUTPUT_RULE_ELEMENT

static final org.eclipse.emf.ecore.EClass OUTPUT_RULE_ELEMENT
The meta object literal for the '`Output Rule Element`' class.

See Also:
  - `OutputRuleElementImpl`
  - `EmftvmPackageImpl.getOutputRuleElement()`

### OUTPUT_RULE_ELEMENT__MAPS_TO

static final org.eclipse.emf.ecore.EReference OUTPUT_RULE_ELEMENT__MAPS_TO
The meta object literal for the 'Maps To' reference list feature.

### OUTPUT_RULE_ELEMENT__OUTPUT_FOR

static final org.eclipse.emf.ecore.EReference OUTPUT_RULE_ELEMENT__OUTPUT_FOR
The meta object literal for the 'Output For' container reference feature.

### OPCODE

static final org.eclipse.emf.ecore.EEnum OPCODE
The meta object literal for the '`Opcode`' enum.

See Also:
  - `Opcode`
  - `EmftvmPackageImpl.getOpcode()`

### RULE_MODE

static final org.eclipse.emf.ecore.EEnum RULE_MODE
The meta object literal for the '`Rule Mode`' enum.

See Also:
  - `RuleMode`
  - `EmftvmPackageImpl.getRuleMode()`

### CONSTANT_TAG

static final org.eclipse.emf.ecore.EEnum CONSTANT_TAG
The meta object literal for the '`Constant Tag`' enum.

See Also:
  - `ConstantTag`
  - `EmftvmPackageImpl.getConstantTag()`

### STACK_FRAME

static final org.eclipse.emf.ecore.EDataType STACK_FRAME
The meta object literal for the 'Stack Frame' data type.

See Also:
  - `StackFrame`
  - `EmftvmPackageImpl.getStackFrame()`

### METHOD

static final org.eclipse.emf.ecore.EDataType METHOD
The meta object literal for the 'Method' data type.

See Also:
  - `Method`
  - `EmftvmPackageImpl.getMethod()`

### TIMING_DATA

static final org.eclipse.emf.ecore.EDataType TIMING_DATA
The meta object literal for the 'Timing Data' data type.

See Also:
  - `TimingData`
  - `EmftvmPackageImpl.getTimingData()`

### VM_MONITOR

static final org.eclipse.emf.ecore.EDataType VM_MONITOR
The meta object literal for the 'VM Monitor' data type.

See Also:
  - `VMMonitor`
  - `EmftvmPackageImpl.getVMMonitor()`

### LAZY_COLLECTION

static final org.eclipse.emf.ecore.EDataType LAZY_COLLECTION
The meta object literal for the 'Lazy Collection' data type.

See Also:
  - `LazyCollection`
  - `EmftvmPackageImpl.getLazyCollection()`

### LAZY_BAG

static final org.eclipse.emf.ecore.EDataType LAZY_BAG
The meta object literal for the 'Lazy Bag' data type.

See Also:
  - `LazyBag`
  - `EmftvmPackageImpl.getLazyBag()`

### LAZY_LIST

static final org.eclipse.emf.ecore.EDataType LAZY_LIST
The meta object literal for the 'Lazy List' data type.

See Also:
  - `LazyList`
  - `EmftvmPackageImpl.getLazyList()`

### LAZY_ORDERED_SET

static final org.eclipse.emf.ecore.EDataType LAZY_ORDERED_SET
The meta object literal for the 'Lazy Ordered Set' data type.

See Also:
  - `LazyOrderedSet`
  - `EmftvmPackageImpl.getLazyOrderedSet()`

### LAZY_SET

static final org.eclipse.emf.ecore.EDataType LAZY_SET
The meta object literal for the 'Lazy Set' data type.

See Also:
  - `LazySet`
  - `EmftvmPackageImpl.getLazySet()`

### EJAVA_OBJECT_ARRAY

static final org.eclipse.emf.ecore.EDataType EJAVA_OBJECT_ARRAY
The meta object literal for the 'EJava Object Array' data type.

See Also:
  - `EmftvmPackageImpl.getEJavaObjectArray()`

### EOBJECT_ARRAY

static final org.eclipse.emf.ecore.EDataType EOBJECT_ARRAY
The meta object literal for the 'EObject Array' data type.

See Also:
  - `EmftvmPackageImpl.getEObjectArray()`

### EBOOLEAN_ARRAY

static final org.eclipse.emf.ecore.EDataType EBOOLEAN_ARRAY
The meta object literal for the 'EBoolean Array' data type.

See Also:
  - `EmftvmPackageImpl.getEBooleanArray()`

### EJAVA_SET

static final org.eclipse.emf.ecore.EDataType EJAVA_SET
The meta object literal for the 'EJava Set' data type.

See Also:
  - `Set`
  - `EmftvmPackageImpl.getEJavaSet()`

### EJAVA_ITERABLE

static final org.eclipse.emf.ecore.EDataType EJAVA_ITERABLE
The meta object literal for the 'EJava Iterable' data type.

See Also:
  - `Iterable`
  - `EmftvmPackageImpl.getEJavaIterable()`

### CLASS_NOT_FOUND_EXCEPTION

static final org.eclipse.emf.ecore.EDataType CLASS_NOT_FOUND_EXCEPTION
The meta object literal for the 'Class Not Found Exception' data type.

See Also:
  - `ClassNotFoundException`
  - `EmftvmPackageImpl.getClassNotFoundException()`

### MODULE_RESOLVER

static final org.eclipse.emf.ecore.EDataType MODULE_RESOLVER
The meta object literal for the 'Module Resolver' data type.

See Also:
  - `ModuleResolver`
  - `EmftvmPackageImpl.getModuleResolver()`

### ENUM_LITERAL

static final org.eclipse.emf.ecore.EDataType ENUM_LITERAL
The meta object literal for the 'Enum Literal' data type.

See Also:
  - `EnumLiteral`
  - `EmftvmPackageImpl.getEnumLiteral()`